// Root myDeserializedClass = JsonConvert.DeserializeObject<Root>(myJsonResponse);
using Newtonsoft.Json;

namespace Fahrplan;

public class Root {
    [JsonProperty("$schema")]
    public string schema { get; set; }
    public Generator generator { get; set; }
    public Schedule schedule { get; set; }
}

public class Colors {
    public string primary { get; set; }
}

public class Conference {
    public string acronym { get; set; }
    public string title { get; set; }
    public string start { get; set; }
    public string end { get; set; }
    public int daysCount { get; set; }
    public string timeslot_duration { get; set; }
    public string time_zone_name { get; set; }
    public Colors colors { get; set; }
    public List<Room> rooms { get; set; }
    public List<Track> tracks { get; set; }
    public List<Day> days { get; set; }
}

public class Day {
    public int index { get; set; }
    public string date { get; set; }
    public DateTime day_start { get; set; }
    public DateTime day_end { get; set; }
    public Dictionary<string, List<RoomEvent>> rooms { get; set; }
}

public class Generator {
    public string name { get; set; }
    public string version { get; set; }
}

public class Person {
    public string guid { get; set; }
    public int id { get; set; }
    public string code { get; set; }
    public string public_name { get; set; }
    public string avatar { get; set; }
    public string biography { get; set; }
    public List<object> answers { get; set; }
}

public class Room {
    public string name { get; set; }
    public string guid { get; set; }
    public object description { get; set; }
    public int capacity { get; set; }
}

public class Track {
    public string name { get; set; }
    public string color { get; set; }
}

public class RoomEvent {
    public string url { get; set; }
    public int id { get; set; }
    public string guid { get; set; }
    public DateTime date { get; set; }
    public string start { get; set; }
    public string logo { get; set; }
    public string duration { get; set; }
    public string room { get; set; }
    public string slug { get; set; }
    public string title { get; set; }
    public string subtitle { get; set; }
    public string track { get; set; }
    public string type { get; set; }
    public string language { get; set; }
    public string @abstract { get; set; }
    public string description { get; set; }
    public string recording_license { get; set; }
    public bool do_not_record { get; set; }
    public List<Person> persons { get; set; }
    public List<object> links { get; set; }
    public List<object> attachments { get; set; }
    public List<object> answers { get; set; }
}

public class Schedule {
    public string url { get; set; }
    public string version { get; set; }
    public string base_url { get; set; }
    public Conference conference { get; set; }
}

